import {List} from "immutable"

export default List.of(
    {"title": "MapStruct", "url": "https://mapstruct.org", "labels": ["Java"]},
    {"title": "Publishing to Maven Central", "url": "https://central.sonatype.org/publish/publish-guide", "labels": ["Java"]},
    {"title": "Creating optimized Docker images for a Spring Boot application", "url": "https://reflectoring.io/spring-boot-docker", "labels": ["Java", "Container", "Perf"]},
    {"title": "Mutation testing", "url": "https://pitest.org", "labels": ["Java", "Test"]},
    {"title": "jOOQ Blog", "url": "https://blog.jooq.org", "labels": ["Java", "Database"]},
    {"title": "Resilience4j, fault tolerance library designed for functional programming", "url": "https://github.com/resilience4j/resilience4j", "labels": ["Java", "Functional"]},
    {"title": "YAVI, lambda-based type-safe validation framework", "url": "https://github.com/making/yavi", "labels": ["Java"]},
    {"title": "Tales from documentation: Write for your clueless users", "url": "https://stackoverflow.blog/2020/07/13/tales-from-documentation-write-for-your-dumbest-user", "labels": ["Docs"]},
    {"title": "Conventional Comments", "url": "https://conventionalcomments.org", "labels": ["Team"]},
    {"title": "SQL Window Functions Cheat Sheet", "url": "https://learnsql.com/blog/sql-window-functions-cheat-sheet", "labels": ["Database"]},
    {"title": "How we upgraded PostgreSQL at GitLab", "url": "https://about.gitlab.com/blog/2020/09/11/gitlab-pg-upgrade", "labels": ["Database", "System"]},
    {"title": "Multi-master replication solutions for PostgreSQL", "url": "https://www.percona.com/blog/2020/06/09/multi-master-replication-solutions-for-postgresql", "labels": ["Database", "Distributed"]},
    {"title": "10 things I hate about PostgreSQL", "url": "https://medium.com/@rbranson/10-things-i-hate-about-postgresql-20dbab8c2791", "labels": ["Database", "Perf", "Distributed"]},
    {"title": "Why Uber Engineering switched from PostgreSQL to MySQL", "url": "https://eng.uber.com/postgres-to-mysql-migration", "labels": ["Database", "Perf", "Distributed"]},
    {"title": "The myth of NoSQL (vs. RDBMS) \"joins dont scale\"", "url": "https://blog.dbi-services.com/the-myth-of-nosql-vs-rdbms-joins-dont-scale", "labels": ["Database", "Perf"]},
    {"title": "Debezium, open source distributed platform for Change Data Capture", "url": "https://debezium.io", "labels": ["Database", "Events", "Architecture"]},
    {"title": "The Internals of PostgreSQL", "url": "https://www.interdb.jp/pg", "labels": ["Database", "Internals"]},
    {"title": "Bucardo, PostgreSQL tools for replication, monitoring, and productivity", "url": "https://bucardo.org", "labels": ["Database", "Perf", "Distributed"]},
    {"title": "pgsync, synchronization between two databases", "url": "https://github.com/ankane/pgsync", "labels": ["Database"]},
    {"title": "Distributed data for microservices, Event Sourcing vs. Change Data Capture", "url": "https://debezium.io/blog/2020/02/10/event-sourcing-vs-cdc", "labels": ["Database", "Events"]},
    {"title": "DBLog, generic Change Data Capture framework", "url": "https://netflixtechblog.com/dblog-a-generic-change-data-capture-framework-69351fb9099b", "labels": ["Database", "Events"]},
    {"title": "Modern best practices for testing", "url": "https://phauer.com/2019/modern-best-practices-testing-java", "labels": ["Test", "Java", "Craft"]},
    {"title": "Tuning Tomcat for a high throughput, fail fast system", "url": "https://netflixtechblog.com/tuning-tomcat-for-a-high-throughput-fail-fast-system-e4d7b2fc163f", "labels": ["Perf", "Java"]},
    {"title": "Using JDK FlightRecorder and JDK Mission Control", "url": "https://blog.arkey.fr/2020/06/28/using-jdk-flight-recorder-and-jdk-mission-control", "labels": ["Perf", "Java"]},
    {"title": "Async profiler", "url": "https://twitter.com/SerCeMan/status/1305783089608548354", "labels": ["Perf", "Java"]},
    {"title": "Analyze memory snapshots in IntelliJ", "url": "https://www.jetbrains.com/help/idea/analyze-hprof-memory-snapshots.html", "labels": ["Perf", "Java"]},
    {"title": "7 JVM arguments of highly effective applications", "url": "https://blog.gceasy.io/2020/03/18/7-jvm-arguments-of-highly-effective-applications", "labels": ["Perf", "Java"]},
    {"title": "Python profiler", "url": "https://github.com/benfred/py-spy", "labels": ["Perf", "Python"]},
    {"title": "Linux performance analysis tools", "url": "https://netflixtechblog.com/linux-performance-analysis-in-60-000-milliseconds-accc10403c55", "labels": ["Perf", "System"]},
    {"title": "How to measure Linux performance, avoiding most typical mistakes", "url": "https://ma.ttias.be/how-to-measure-linux-performance-avoiding-most-typical-mistakes-cpu", "labels": ["Perf", "System"]},
    {"title": "PostgreSQL observability", "url": "https://pgstats.dev", "labels": ["Perf", "Database"]},
    {"title": "Meaningful availability", "url": "https://blog.acolyer.org/2020/02/26/meaningful-availability", "labels": ["Perf", "System", "Team"]},
    {"title": "Predictive CPU isolation of containers", "url": "https://netflixtechblog.com/predictive-cpu-isolation-of-containers-at-netflix-91f014d856c7", "labels": ["Perf", "Container", "System"]},
    {"title": "10 Python 3 features", "url": "https://twitter.com/svpino/status/1308632185113579522", "labels": ["Python"]},
    {"title": "Ultimate guide to Python debugging", "url": "https://martinheinz.dev/blog/24", "labels": ["Python"]},
    {"title": "Rich, rich text formatting in the terminal", "url": "https://github.com/willmcgugan/rich", "labels": ["Python"]},
    {"title": "HTTP Cache", "url": "https://web.dev/http-cache", "labels": ["Web", "Perf"]},
    {"title": "Gremlins.js, monkey testing", "url": "https://github.com/marmelab/gremlins.js", "labels": ["Web", "Test"]},
    {"title": "Material Design icons", "url": "https://github.com/google/material-design-icons", "labels": ["Web"]},
    {"title": "TogetherJS, collaboration features", "url": "https://togetherjs.com", "labels": ["Web"]},
    {"title": "UI Design Daily", "url": "https://uidesigndaily.com", "labels": ["Web"]},
    {"title": "Uppy, file uploader with integrations", "url": "https://github.com/transloadit/uppy", "labels": ["Web"]},
    {"title": "Tailwind versus BEM", "url": "https://thoughtbot.com/blog/tailwind-versus-bem", "labels": ["Web"]},
    {"title": "Internationalization and localization for static sites", "url": "https://www.smashingmagazine.com/2020/11/internationalization-localization-static-sites", "labels": ["Web"]},
    {"title": "Testing for visual regressions with BackstopJS", "url": "https://www.codurance.com/publications/2020/01/16/backstopjs-tutorial", "labels": ["Web", "Test"]},
    {"title": "Définir son style CSS avec CAP", "url": "https://blog.ippon.fr/2020/05/04/definir-son-style-css-avec-cap", "labels": ["Web"]},
    {"title": "Quill, rich text editor", "url": "https://github.com/quilljs/quill", "labels": ["Web"]},
    {"title": "Puppeteer, headless browser automation", "url": "https://developers.google.com/web/tools/puppeteer", "labels": ["Web", "Test"]},
    {"title": "Hoppscotch, API development", "url": "https://github.com/hoppscotch/hoppscotch", "labels": ["Web", "Alternative"]},
    {"title": "Ubuntu Amazon EC2 AMI Locator", "url": "https://cloud-images.ubuntu.com/locator/ec2", "labels": ["System", "Cloud"]},
    {"title": "Git from the inside out", "url": "https://maryrosecook.com/blog/post/git-from-the-inside-out", "labels": ["Tool", "Internals"]},
    {"title": "Debian packaging", "url": "https://www.debian.org/doc/manuals/developers-reference/pkgs.html", "labels": ["System"]},
    {"title": "Ubuntu packaging", "url": "https://packaging.ubuntu.com/html/index.html", "labels": ["System"]},
    {"title": "Explain shell command-line", "url": "https://explainshell.com", "labels": ["System"]},
    {"title": "SSL Configuration Generator", "url": "https://ssl-config.mozilla.org", "labels": ["System", "Security"]},
    {"title": "Ventoy, multi-ISO bootable USB drive", "url": "https://github.com/ventoy/Ventoy", "labels": ["System", "Tool"]},
    {"title": "NixOS", "url": "https://nixos.org", "labels": ["System", "Alternative"]},
    {"title": "The difficulties of tracking running processes on Linux", "url": "https://natanyellin.com/posts/tracking-running-processes-on-linux", "labels": ["System", "Internals"]},
    {"title": "Dive, exploring layers in a Docker image", "url": "https://github.com/wagoodman/dive", "labels": ["Tool", "Container"]},
    {"title": "Trickle, lightweight userspace bandwidth shaper", "url": "https://linux.die.net/man/1/trickle", "labels": ["System", "Perf"]},
    {"title": "entr, running arbitrary commands on file change", "url": "https://eradman.com/entrproject", "labels": ["Tool"]},
    {"title": "Podman par la pratique", "url": "https://www.damyr.fr/posts/podman-par-la-pratique", "labels": ["System", "Container"]},
    {"title": "faketime", "url": "https://renenyffenegger.ch/notes/Linux/shell/commands/faketime", "labels": ["System"]},
    {"title": "Intel virtualization: How VT-x, KVM and QEMU work together", "url": "https://binarydebt.wordpress.com/2018/10/14/intel-virtualisation-how-vt-x-kvm-and-qemu-work-together", "labels": ["System", "Internals"]},
    {"title": "Delicious Docker: Building minimal containers", "url": "https://blog.yuzutech.fr/blog/minimal-docker-containers", "labels": ["System", "Container", "Perf"]},
    {"title": "bandwhich", "url": "https://github.com/imsnif/bandwhich", "labels": ["System", "Tool", "Network"]},
    {"title": "Five years of Btrfs", "url": "https://markmcb.com/2020/01/07/five-years-of-btrfs", "labels": ["System", "Perf"]},
    {"title": "Limit a VM bandwidth to test some BPF tools", "url": "https://www.pingtimeout.fr/posts/2020-01-12-limit-vm-bandwidth", "labels": ["System", "Perf"]},
    {"title": "Multipliers and Diminishers", "url": "https://www.patkua.com/blog/multipliers", "labels": ["Team"]},
    {"title": "The future of Ops careers", "url": "https://thenewstack.io/the-future-of-ops-careers", "labels": ["Team"]},
    {"title": "DevOps Roadmap", "url": "https://roadmap.sh/devops", "labels": ["Team", "System"]},
    {"title": "The Management Flywheel", "url": "https://skamille.medium.com/the-management-flywheel-c076f398969b", "labels": ["Team"]},
    {"title": "Improving Postmortems", "url": "https://www.blameless.com/blog/improving-postmortems-paul-osman", "labels": ["Team"]},
    {"title": "Alerting on SLOs", "url": "https://mads-hartmann.com/sre/2020/09/08/alerting-on-slos.html", "labels": ["Team", "System"]},
    {"title": "Je fais partie d'une espèce menacée d'extinction", "url": "https://www.emaxilde.net/posts/2020/07/18/je-fais-partie-d-une-espece-menacee-d-extinction.html", "labels": ["Team"]},
    {"title": "How to structure teams for building better software products", "url": "https://medium.com/swlh/how-to-structure-teams-for-building-better-software-products-91e4dea021d", "labels": ["Team"]},
    {"title": "Architecture Decision Records", "url": "https://www.stemlaur.com/blog/2020/05/28/tech-adr", "labels": ["Team"]},
    {"title": "Package by Feature", "url": "https://phauer.com/2020/package-by-feature", "labels": ["Craft"]},
    {"title": "Legacy systems", "url": "https://www.ufried.com/blog/legacy_systems", "labels": ["Team"]},
    {"title": "Production-Oriented Development", "url": "https://paulosman.me/2019/12/30/production-oriented-development.html", "labels": ["Team"]},
    {"title": "Studying an Incident", "url": "https://m.subbu.org/studying-an-incident-8dffdd641c78", "labels": ["Team"]},
    {"title": "5 best practices for nailing incident retrospectives", "url": "https://www.blameless.com/blog/5-best-practices-nailing-postmortems", "labels": ["Team"]},
    {"title": "Serverless - Lessons learned", "url": "https://pauldambra.dev/2019/11/serverless-lessons-learned.html", "labels": ["Architecture"]},
    {"title": "Microservices - Architecture nihilism in minimalism's clothes", "url": "https://vlfig.me/posts/microservices", "labels": ["Architecture"]},
    {"title": "A terrible, horrible, no-good, very bad day at Slack", "url": "https://slack.engineering/a-terrible-horrible-no-good-very-bad-day-at-slack", "labels": ["Distributed", "Architecture"]},
    {"title": "The Laws of Architectural Work", "url": "https://www.ufried.com/blog/laws_of_architectural_work", "labels": ["Architecture"]},
    {"title": "Consistency Models", "url": "https://jepsen.io/consistency", "labels": ["Distributed", "Craft"]},
    {"title": "Stop overselling Event Sourcing as the silver bullet to microservice architectures", "url": "https://medium.com/swlh/stop-overselling-event-sourcing-as-the-silver-bullet-to-microservice-architectures-f43ca25ff9e7", "labels": ["Distributed", "Craft", "Architecture"]},
    {"title": "How to avoid cascading failures in distributed systems", "url": "https://www.infoq.com/articles/anatomy-cascading-failure", "labels": ["Distributed", "Architecture"]},
    {"title": "Kafka vs. Pulsar", "url": "https://twitter.com/stadtlegende/status/1300461546578087936", "labels": ["Distributed", "Architecture", "Alternative"]},
    {"title": "Benchmarking Apache Kafka, Apache Pulsar and RabbitMQ", "url": "https://www.confluent.io/blog/kafka-fastest-messaging-system", "labels": ["Distributed", "Architecture", "Perf", "Alternative"]},
    {"title": "Waltz: a distributed write-ahead log", "url": "https://wecode.wepay.com/posts/waltz-a-distributed-write-ahead-log", "labels": ["Distributed", "Architecture", "Database", "Alternative"]},
    {"title": "Can your Kafka consumers handle a poison pill?", "url": "https://www.confluent.io/blog/spring-kafka-can-your-kafka-consumers-handle-a-poison-pill", "labels": ["Distributed"]},
    {"title": "Consistent metastore recovery for ksqlDB using Apache Kafka transactions", "url": "https://www.confluent.io/blog/ksqldb-ensures-consistent-internal-state-reliability-recovery-using-kafka-transactions", "labels": ["Distributed"]},
    {"title": "Kafka with AVRO vs. Protobuf vs. JSON Schema", "url": "https://simon-aubury.medium.com/kafka-with-avro-vs-kafka-with-protobuf-vs-kafka-with-json-schema-667494cbb2af", "labels": ["Distributed", "Alternative"]},
    {"title": "Kafka Acks Explained", "url": "https://medium.com/better-programming/kafka-acks-explained-c0515b3b707e", "labels": ["Distributed"]},
    {"title": "AKHQ", "url": "https://github.com/tchiotludo/akhq", "labels": ["Distributed"]},
    {"title": "Millions of tiny databases", "url": "https://blog.acolyer.org/2020/03/04/millions-of-tiny-databases", "labels": ["Distributed"]},
    {"title": "Kafka topics: pitfalls and insights", "url": "https://blog.thousandeyes.com/kafka-topics-pitfalls-and-insights", "labels": ["Distributed"]},
    {"title": "Microservice Observability, Part 1: Disambiguating Observability and Monitoring", "url": "https://bravenewgeek.com/microservice-observability-part-1-disambiguating-observability-and-monitoring", "labels": ["Distributed"]},
    {"title": "Bitwarden", "url": "https://github.com/bitwarden", "labels": ["POC"]},
    {"title": "Onedev", "url": "https://code.onedev.io", "labels": ["POC"]},
    {"title": "Graylog", "url": "https://www.graylog.org", "labels": ["POC"]},
    {"title": "Searx", "url": "https://searx.me", "labels": ["POC"]},
    {"title": "Whonix", "url": "https://www.whonix.org", "labels": ["POC"]},
    {"title": "WeTTY", "url": "https://github.com/butlerx/wetty", "labels": ["POC"]},
    {"title": "Freelan", "url": "https://www.freelan.org", "labels": ["POC"]},
    {"title": "MinIO", "url": "https://min.io", "labels": ["POC"]},
    {"title": "bpytop", "url": "https://github.com/aristocratos/bpytop", "labels": ["POC"]},
    {"title": "Metro Retro", "url": "https://metroretro.io", "labels": ["POC"]},
    {"title": "Remote Retro", "url": "https://remoteretro.org", "labels": ["POC"]},
    {"title": "Parabol", "url": "https://www.parabol.co", "labels": ["POC"]},
    {"title": "Open Policy Agent", "url": "https://www.openpolicyagent.org", "labels": ["POC"]},
    {"title": "Web Analytics Software", "url": "https://www.cyberciti.biz/open-source/7-awesome-open-source-analytics-weblog-analysis-softwares", "labels": ["POC"]},
    {"title": "Git Bug", "url": "https://github.com/MichaelMure/git-bug", "labels": ["POC"]},
    {"title": "RocksDB", "url": "https://rockset.com/blog/rocksdb-is-eating-the-database-world", "labels": ["POC"]},
    {"title": "Maltrail", "url": "https://github.com/stamparm/maltrail", "labels": ["Security"]},
    {"title": "Root Me", "url": "https://www.root-me.org", "labels": ["Security"]},
    {"title": "Scanner les vulnérabilités de son site web", "url": "https://blog.wescale.fr/2020/09/24/scanner-les-vulnerabilites-de-son-site-web", "labels": ["Security"]},
    {"title": "Protect domains that do not send email", "url": "https://www.gov.uk/guidance/protect-domains-that-dont-send-email", "labels": ["Security"]},
    {"title": "What I learned about SSL certificates when building a secured Kafka cluster", "url": "https://www.buesing.dev/post/kafka-ssl-certificates", "labels": ["Security"]},
    {"title": "What I've learned about scaling OSPF in datacenters", "url": "https://medium.com/the-elegant-network/what-ive-learned-about-scaling-ospf-in-datacenters-7100c33ce63c", "labels": ["Network"]},
    {"title": "Conntrack tales - one thousand and one flows", "url": "https://blog.cloudflare.com/conntrack-tales-one-thousand-and-one-flows", "labels": ["Network"]},
    {"title": "Wireshark", "url": "https://www.wireshark.org", "labels": ["Network"]},
    {"title": "What every developer should know about TCP", "url": "https://robertovitillo.com/what-every-developer-should-know-about-tcp", "labels": ["Network"]},
    {"title": "Dagger, dependency injection", "url": "https://dagger.dev", "labels": ["Alternative", "Java", "Kotlin"]},
    {"title": "Guice, dependency injection", "url": "https://github.com/google/guice", "labels": ["Alternative", "Java"]},
    {"title": "Javalin, web framework based on Jetty", "url": "https://javalin.io", "labels": ["Alternative", "Java"]},
    {"title": "Spark, web micro framework", "url": "https://sparkjava.com", "labels": ["Alternative", "Java", "Kotlin"]},
    {"title": "Helidon, web micro framework based on Netty", "url": "https://helidon.io", "labels": ["Alternative", "Java"]},
    {"title": "Site national des adresses", "url": "https://adresse.data.gouv.fr", "labels": ["Curiosity"]},
    {"title": "Reverse Engineering for Beginners", "url": "https://beginners.re", "labels": ["Curiosity"]},
    {"title": "AI Voice Actors", "url": "https://replicastudios.com", "labels": ["Curiosity"]},
    {"title": "FalsiSign", "url": "https://gitlab.com/edouardklein/falsisign", "labels": ["Curiosity"]},
    {"title": "Produits Ubuntu-fr", "url": "https://enventelibre.org/fr/41-ubuntu-fr", "labels": ["Curiosity"]},
    {"title": "ActivityPub, the secret weapon of the Fediverse", "url": "https://homehack.nl/activitypub-the-secret-weapon-of-the-fediverse", "labels": ["Curiosity"]},
    {"title": "Places to post about your app to maximise launch traffic", "url": "https://sizle.io/how-to-maximise-traffic-to-a-bootstrapped-product-hunt-launch", "labels": ["Curiosity"]},
    {"title": "YaCy", "url": "https://snapcraft.io/yacy-search", "labels": ["Curiosity"]},
    {"title": "Speed test", "url": "https://speed.cloudflare.com", "labels": ["Curiosity"]},
    {"title": "Tunefind", "url": "https://www.tunefind.com", "labels": ["Curiosity"]},
    {"title": "DHT", "url": "https://www.bittorrent.org/beps/bep_0051.html", "labels": ["Curiosity"]},
    {"title": "Hacker News - Magnetico", "url": "https://news.ycombinator.com/item?id=14018877", "labels": ["Curiosity"]},
    {"title": "Arx Libertatis", "url": "https://arx-libertatis.org", "labels": ["Curiosity"]},
    {"title": "Freelances : bien fixer, annoncer et négocier vos tarifs", "url": "https://www.miximum.fr/blog/developpeur-web-freelance-tjm", "labels": ["Job"]},
    {"title": "Indeed", "url": "https://indeed.fr", "labels": ["Job"]},
    {"title": "talent.io", "url": "https://talent.io", "labels": ["Job"]},
    {"title": "Laou", "url": "https://www.laou.fr", "labels": ["Job"]},
    {"url": "https://about.gitlab.com/blog/2019/11/15/tracking-down-missing-tcp-keepalives", "labels": []},
    {"url": "https://github.com/CoatiSoftware/Sourcetrail", "labels": []},
    {"url": "https://wt.social", "labels": []},
    {"url": "https://itnesweb.com/article/how-we-learned-to-exploit-java-in-docker", "labels": []},
    {"url": "https://protonmail.com/blog/it-security-ebook", "labels": []},
    {"url": "https://medium.com/nerds-malt/https-medium-com-nerds-malt-devops-retour-sur-un-downtime-redis-kubernetes-en-production-8cd5bfcc53d", "labels": []},
    {"url": "https://blog.acolyer.org/2019/11/06/ceph-evolution", "labels": []},
    {"url": "https://www.redhat.com/en/engage/kubernetes-containers-architecture-s-201910240918", "labels": []},
    {"url": "https://srvaroa.github.io/kubernetes/migration/latency/dns/java/aws/microservices/2019/10/22/kubernetes-added-a-0-to-my-latency.html", "labels": []},
    {"url": "https://www.infoq.com/presentations/low-latency-cloud-oss", "labels": []},
    {"url": "https://github.com/apangin/jattach", "labels": []},
    {"url": "https://techbeacon.com/app-dev-testing/10-commandments-navigating-code-reviews", "labels": []},
    {"url": "https://speakerdeck.com/vladislavpernin/performance-et-diagnostic-methodologie-et-outils-6a2e67d5-3244-4502-b4d1-c58481cd5616", "labels": []},
    {"url": "https://ubuntu.com/engage/yahoo-japan-case-study", "labels": []},
    {"url": "https://medium.com/engineering-varo/event-driven-architecture-and-the-outbox-pattern-569e6fba7216", "labels": []},
    {"url": "https://www.jesse-anderson.com/2019/10/why-i-recommend-my-clients-not-use-ksql-and-kafka-streams", "labels": []},
    {"url": "https://fangpenlin.com/posts/2019/10/07/elliptic-curve-cryptography-explained", "labels": []},
    {"url": "https://www.stanleyulili.com/javascript/beginner-guide-to-chartjs", "labels": []},
    {"url": "https://cloud.google.com/blog/products/application-development/api-design-why-you-should-use-links-not-keys-to-represent-relationships-in-apis", "labels": []},
    {"url": "https://medium.com/baseds/parsing-through-partitions-in-a-distributed-system-3c1723fecc4e", "labels": []},
    {"url": "https://unixism.net/2019/08/linux-pressure-stall-information-psi-by-example", "labels": []},
    {"url": "http://sven.stormbind.net/blog/posts/docker_from_30_to_230", "labels": []},
    {"url": "https://blog.tilt.dev/2019/08/21/why-does-developing-on-kubernetes-suck.html", "labels": []},
    {"url": "https://medium.com/@robert.broeckelmann/what-are-apis-the-technology-perspective-ca7e33d383c1", "labels": []},
    {"url": "https://blog.softwaremill.com/does-kafka-really-guarantee-the-order-of-messages-3ca849fd19d2", "labels": []},
    {"url": "https://www.w3.org/International/questions/qa-personal-names", "labels": []},
    {"url": "https://engineering.linkedin.com/blog/2016/08/don_t-let-linux-control-groups-uncontrolled", "labels": []},
    {"url": "http://www.gazlene.net/getting-work-done-in-open-source.html", "labels": []},
    {"url": "https://blog.picnic.nl/open-sourcing-jolo-87cea6079108", "labels": []},
    {"url": "https://blog.jetbrains.com/blog/2019/08/15/8-steps-to-a-successful-user-group", "labels": []},
    {"url": "https://vaadin.com/learn/tutorials/vaadin-key-concepts", "labels": []},
    {"url": "https://insights.project-a.com/vert-x-learnings-about-a-reactive-framework-7477cbecaec4", "labels": []},
    {"url": "https://kafka-tutorials.confluent.io", "labels": []},
    {"url": "https://medium.com/tech-at-nordstrom/event-sourcing-at-nordstrom-part-2-f64c416d1885", "labels": []},
    {"url": "https://fermatslibrary.com/s/what-is-it-like-to-be-a-bat", "labels": []},
    {"url": "https://easyperf.net/blog/2019/07/26/Developing-intuition-when-working-with-performance-counters", "labels": []},
    {"url": "https://latacora.micro.blog/2019/07/16/the-pgp-problem.html", "labels": []},
    {"url": "https://gitlab.com/flav.justflav/kacctime", "labels": []},
    {"url": "http://blog.mikemccandless.com/2011/04/just-say-no-to-swapping.html", "labels": []},
    {"url": "https://ahmet.im/blog/minimal-init-process-for-containers", "labels": []},
    {"url": "https://blog.pragmaticengineer.com/operating-a-high-scale-distributed-system", "labels": []},
    {"url": "https://medium.com/97-things/think-about-the-world-outside-of-your-window-ee2a0fdff47d", "labels": []},
    {"url": "https://blog.octo.com/le-stockage-avec-kubernetes-entretien-avec-yassine-tijani-contributeur-kubernetes", "labels": []},
    {"url": "https://golb.hplar.ch/2019/01/jooq-flyway-springboot.html", "labels": []},
    {"url": "https://www.youtube.com/watch?v=-PX0BV9hGZY", "labels": []},
    {"url": "https://cloudnweb.dev/2019/06/replacing-docker-with-podman-power-of-podman", "labels": []},
    {"url": "https://www.ncsc.gov.uk/whitepaper/security-architecture-anti-patterns", "labels": []},
    {"url": "https://www.confluent.io/blog/17-ways-to-mess-up-self-managed-schema-registry", "labels": []},
    {"url": "https://vincent.bernat.ch/en/blog/2019-pragmatic-debian-packaging", "labels": []},
    {"url": "https://ilaborie.github.io/slides2/cssClockwork/index-mixit-19.html", "labels": []},
    {"url": "https://medium.com/@emaildelivery/serverless-pitfalls-issues-you-may-encounter-running-a-start-up-on-aws-lambda-f242b404f41c", "labels": []},
    {"url": "https://medium.com/@boukili.olivier/a-gcp-kubernetes-production-migration-retrospective-part-1-e3e35096073a", "labels": []},
    {"url": "https://www.conduktor.io", "labels": []},
    {"url": "https://rachelcarmena.github.io/2019/04/26/does-and-donts-when-writing-tests.html", "labels": []},
    {"url": "https://tech.synthesio.com/articles/2019-04-21-prometheus-keep-alive", "labels": []},
    {"url": "https://github.com/leandromoreira/linux-network-performance-parameters", "labels": []},
    {"url": "https://medium.com/faun/the-missing-introduction-to-containerization-de1fbb73efc5", "labels": []},
    {"url": "https://medium.com/@stanislavkozlovski/apache-kafkas-distributed-system-firefighter-the-controller-broker-1afca1eae302", "labels": []},
    {"url": "https://tanzu.vmware.com/content/blog/root-cause-of-an-application-outage-on-kubernetes-and-how-we-fixed-it", "labels": []},
    {"url": "https://capsule8.com/blog/different-approaches-to-linux-monitoring", "labels": []},
    {"url": "https://www.youtube.com/watch?v=p_di4Zn4wz4", "labels": []},
    {"url": "https://start.microprofile.io", "labels": []},
    {"url": "https://queue.acm.org/detail.cfm?id=3321612", "labels": []},
    {"url": "https://www.secjuice.com/finding-real-ips-of-origin-servers-behind-cloudflare-or-tor", "labels": []},
    {"url": "https://pgdash.io/blog/scaling-postgres.html", "labels": []},
    {"url": "https://endler.dev/2019/maybe-you-dont-need-kubernetes", "labels": []},
    {"url": "https://spring.io/blog/2019/03/11/memory-footprint-of-the-jvm", "labels": []},
    {"url": "https://engineering.grab.com/designing-resilient-systems-part-2", "labels": []},
    {"url": "https://tomassetti.me/analyze-generate-and-transform-java-code", "labels": []},
    {"url": "https://eng.uber.com/introducing-kraken", "labels": []},
    {"url": "https://www.cyberciti.biz/cloud-computing/increase-your-linux-server-internet-speed-with-tcp-bbr-congestion-control", "labels": []},
    {"url": "https://github.com/radarsh/gradle-test-logger-plugin", "labels": []},
    {"url": "https://schepp.github.io/HTTP-headers", "labels": []},
    {"url": "https://engineering.linkedin.com/blog/2019/02/introducing-kafka-cruise-control-frontend", "labels": []},
    {"url": "https://snapcraft.io/hexchat", "labels": []},
    {"url": "https://dev.to/vga/dockerize-your-integration-tests--4edm", "labels": []},
    {"url": "http://www.brendangregg.com/blog/2019-01-01/learn-ebpf-tracing.html", "labels": []},
    {"url": "https://akhq.io", "labels": []},
    {"url": "https://snyk.io/blog/spring-boot-security-best-practices", "labels": []},
    {"url": "https://blog.jetbrains.com/pycharm/2018/12/webinar-recording-automating-build-test-and-release-workflows-with-tox-with-oliver-bestwalter", "labels": []},
    {"url": "https://nickcraver.com/blog/2018/11/29/stack-overflow-how-we-do-monitoring", "labels": []},
    {"url": "https://www.baeldung.com/gatling-jmeter-grinder-comparison", "labels": []},
    {"url": "https://jvns.ca/blog/2018/11/11/understand-the-software-you-use-in-production", "labels": []},
    {"url": "http://www.brendangregg.com/blog/2018-11-08/flamescope-pattern-recognition.html", "labels": []},
    {"url": "https://web.dev", "labels": []},
    {"url": "https://zuul-ci.org/docs/zuul/discussion/gating.html", "labels": []},
    {"url": "https://www.linuxjournal.com/content/why-your-server-monitoring-still-sucks", "labels": []},
    {"url": "https://www.opsian.com/blog/understanding-production-what-can-you-measure", "labels": []},
    {"url": "https://jvns.ca/blog/2018/10/27/envoy-basics", "labels": []},
    {"url": "https://tech.bigbasket.com/bigbaskets-experience-with-istio", "labels": []},
    {"url": "https://blog.acolyer.org/2015/04/29/applying-the-universal-scalability-law-to-organisations", "labels": []},
    {"url": "http://www.benstopford.com/2018/10/04/designing-event-driven-systems-summary-arguments", "labels": []},
    {"url": "https://opensource.com/article/18/10/alerting-and-visualization-tools-sysadmins", "labels": []},
    {"url": "https://www.datadoghq.com/blog/aws-monitoring", "labels": []},
    {"url": "https://github.com/alibaba/arthas", "labels": []},
    {"url": "https://remysharp.com/2018/08/23/cli-improved", "labels": []},
    {"url": "https://medium.com/@hugo.oliveira.rocha/what-they-dont-tell-you-about-event-sourcing-6afc23c69e9a", "labels": []},
    {"url": "https://github.blog/2018-08-08-glb-director-open-source-load-balancer", "labels": []},
    {"url": "https://blog.wescale.fr/2018/08/09/mininet-tester-ses-applications-dans-un-contexte-reseau-realiste-sans-surcout-2", "labels": []},
    {"url": "https://dzone.com/articles/understanding-the-8-fallacies-of-distributed-syste", "labels": []},
    {"url": "https://www.jenkins.io/projects/jcasc", "labels": []},
    {"url": "https://zwischenzugs.com/2018/06/08/anatomy-of-a-linux-dns-lookup-part-i", "labels": []},
    {"url": "https://jvns.ca/blog/2018/06/19/what-i-use-wireshark-for", "labels": []},
    {"url": "https://www.keycloak.org", "labels": []},
    {"url": "https://blog.adamspiers.org/2018/06/14/git-auto-magic", "labels": []},
    {"url": "https://www.baeldung.com/java-performance-mapping-frameworks", "labels": []},
    {"url": "https://easyperf.net/blog/2018/06/01/PMU-counters-and-profiling-basics", "labels": []},
    {"url": "https://github.com/mitmproxy/mitmproxy", "labels": []},
    {"url": "https://jeanfrancoismaes.github.io/work-adventures/penetration-testing/pwningdockervm", "labels": []},
    {"url": "https://dev.to/dwd/git-submodules-revisited-1p54", "labels": []},
    {"url": "https://github.com/MAIF/otoroshi", "labels": []},
    {"url": "https://secnumacademie.gouv.fr", "labels": []},
    {"url": "https://glowroot.org", "labels": []},
    {"url": "https://www.infoq.com/news/2018/03/cilium-linux-bpf", "labels": []},
    {"url": "https://github.com/jhalterman/failsafe", "labels": []},
    {"url": "https://cryptcheck.fr/help", "labels": []},
    {"url": "https://developer.mozilla.org/en-US/docs/Learn/HTML/Multimedia_and_embedding/Responsive_images", "labels": []},
    {"url": "https://thetechsolo.wordpress.com/2016/02/29/scalable-io-events-vs-multithreading-based", "labels": []},
    {"url": "https://medium.com/@ankane/introducing-dexter-the-automatic-indexer-for-postgres-5f8fa8b28f27", "labels": []},
    {"url": "https://sites.google.com/a/athaydes.com/renato-athaydes/posts/kotlinshiddencosts-benchmarks", "labels": []},
    {"url": "https://ctop.sh", "labels": []},
    {"url": "https://github.com/nicolargo/glances", "labels": []},
    {"url": "https://peteris.rocks/blog/htop", "labels": []},
    {"url": "https://blog.cleancoder.com/uncle-bob/2016/10/26/DijkstrasAlg.html", "labels": []},
    {"url": "https://www.citusdata.com/blog/2016/03/30/five-ways-to-paginate", "labels": []},
    {"url": "https://github.com/tdebatty/java-string-similarity", "labels": []},
    {"url": "https://book.easyperf.net/perf_book", "labels": []},
    {"url": "https://blog.arkey.fr/2020/12/11/completablefuture-with-burstable-pods", "labels": []},
    {"url": "https://campusnumerique.auvergnerhonealpes.fr/les-acteurs", "labels": []},
    {"url": "https://subtitld.jonata.org", "labels": []},
    {"url": "https://www.bruceeckel.com/2021/01/02/the-problem-with-gradle", "labels": []},
    {"url": "https://blog.ed.ted.com/2020/03/02/there-are-three-sides-to-every-argument", "labels": []},
    {"url": "https://blog.yadutaf.fr/2017/07/28/tracing-a-packet-journey-using-linux-tracepoints-perf-ebpf", "labels": []},
    {"url": "https://twitter.com/fermatslibrary/status/1339922144080367619", "labels": []},
    {"url": "https://jvns.ca/blog/2021/01/12/day-36--server-sent-events-are-cool--and-a-fun-bug", "labels": []},
    {"url": "https://blog.ed.ted.com/2020/12/21/how-to-cultivate-a-sense-of-unconditional-self-worth", "labels": []},
    {"url": "https://github.blog/2020-12-17-commits-are-snapshots-not-diffs", "labels": []},
    {"url": "https://github.com/DozerMapper/dozer", "labels": []},
    {"url": "http://dtrace.org/blogs/bmc/2018/12/14/open-source-confronts-its-midlife-crisis", "labels": []},
    {"url": "https://openlibrary.org", "labels": []},
    {"url": "https://fastapi.tiangolo.com", "labels": []},
    {"url": "https://framacolibri.org/t/wanted-tableau-blanc-collaboratif-en-alternative-a-stoodle/10078/4", "labels": []},
    {"url": "https://www.cairn.info/revue-sciences-du-design-2018-2-page-45.htm", "labels": []},
    {"url": "https://play.dogmazic.net", "labels": []},
    {"url": "https://musique-libre.org", "labels": []},
    {"url": "http://twinery.org", "labels": []},
    {"url": "https://leanpub.com/esversioning", "labels": []},
    {"url": "https://github.com/ylorph/The-Inevitable-Event-Centric-Book/issues", "labels": []},
    {"url": "https://www.jetbrains.com/edu-products/teaching", "labels": []},
    {"url": "https://www.progression.fyi", "labels": []},
    {"url": "https://antonz.org/python-packaging", "labels": []},
    {"url": "https://storybook.js.org", "labels": []},
    {"url": "https://atomix.io", "labels": []},
    {"url": "https://ratis.apache.org", "labels": []},
    {"url": "https://ipfs.io", "labels": []},
    {"url": "https://thinkinglabs.io/articles/2021/05/07/shades-of-conways-law.html", "labels": []},
    {"url": "https://stackoverflow.blog/2021/07/05/best-practices-for-writing-code-comments", "labels": []},
    {"url": "https://stackoverflow.blog/2021/10/06/best-practices-for-authentication-and-authorization-for-rest-apis", "labels": []},
    {"url": "https://temporal.io", "labels": []},
    {"url": "https://www.allthingsdistributed.com/2022/11/amazon-1998-distributed-computing-manifesto.html", "labels": []},
    {"url": "https://postgresml.org/blog/scaling-postgresml-to-one-million-requests-per-second", "labels": []},
    {"url": "https://zfsbootmenu.org", "labels": []},
    {"url": "https://kellyjonbrazil.github.io/jc", "labels": []},
    {"url": "https://medium.com/appsflyerengineering/understanding-antifragility-and-black-swans-and-how-they-relate-to-your-r-d-organization-f5ac4c2c6c27", "labels": []},
    {"url": "https://www.timescale.com/blog/prometheus-vs-opentelemetry-metrics-a-complete-guide", "labels": []},
    {"url": "https://www.thoughtworks.com/insights/blog/architecture/demystify-software-architecture-patterns", "labels": []},
    {"url": "https://medium.com/@mattia.battiston/why-i-love-trunk-based-development-641fcf0b94a0", "labels": []},
    {"url": "https://www.ctrlstack.com/resources/root-cause-analysis-how-can-an-idea-thats-wrong-be-so-useful", "labels": []},
    {"url": "https://thenewstack.io/does-the-gitops-emperor-have-no-clothes", "labels": []},
    {"url": "https://changelog.com/news/pgactivity-is-like-htop-for-postgres-activity-monitoring-qM6L", "labels": []},
    {"url": "https://postgresml.org/blog/postgres-full-text-search-is-awesome", "labels": []},
    {"url": "https://kenneth.io/post/developer-experience-infrastructure-dxi", "labels": []},
    {"url": "https://www.plural.sh/blog/kubernetes-statefulsets-are-broken", "labels": []},
    {"url": "https://airejie.medium.com/the-modern-data-platform-design-a-tool-agnostic-approach-250ebe4a0a5", "labels": []},
    {"url": "https://ably.com/blog/no-we-dont-use-kubernetes", "labels": []},
    {"url": "https://github.com/Lissy93/awesome-privacy", "labels": []},
    {"url": "https://github.com/osquery/osquery", "labels": []},
    {"url": "https://www.morling.dev/blog/ten-tips-make-conference-talks-suck-less", "labels": []},
    {"url": "https://twitter.com/gunnarmorling/status/1544398510723932160", "labels": []},
    {"url": "https://www.infoq.com/news/2022/06/aws-adr-guide", "labels": []},
    {"url": "https://documentation.suse.com/sbp/server-linux/html/SBP-SLSA4/index.html", "labels": []},
    {"url": "https://www.influxdata.com/blog/mist-multicloud-observability", "labels": []},
    {"url": "https://hakibenita.com/sql-tricks-application-dba", "labels": []},
    {"url": "https://blogit.michelin.io/centralize-your-ci", "labels": []},
    {"url": "https://newsletter.pragmaticengineer.com/p/shipping-to-production", "labels": []},
    {"url": "https://notes.eatonphil.com/distributed-postgres.html", "labels": []},
    {"url": "https://blog.lazerwalker.com/2022/05/10/virtual-events", "labels": []},
    {"url": "https://github.com/pyscript/pyscript", "labels": []},
    {"url": "https://magic-trace.org", "labels": []},
    {"url": "https://jlbp.dev", "labels": []},
    {"url": "https://gist.github.com/ageis/f5595e59b1cddb1513d1b425a323db04", "labels": []},
    {"url": "https://medium.com/pinterest-engineering/addressing-python-dependency-confusion-at-pinterest-e0a0609c8e9", "labels": []},
    {"url": "https://semaphoreci.com/blog/feature-flags", "labels": []},
    {"url": "https://gist.github.com/jcoleman/1e6ad1bf8de454c166da94b67537758b", "labels": []},
    {"url": "https://www.quora.com/Why-are-software-development-task-estimations-regularly-off-by-a-factor-of-2-3/answer/Michael-Wolfe", "labels": []},
    {"url": "https://webauthn.io", "labels": []},
    {"url": "https://github.com/synfinatic/aws-sso-cli", "labels": []},
    {"url": "https://ardentperf.com/2022/02/10/a-hairy-postgresql-incident", "labels": []},
    {"url": "https://www.replay.io", "labels": []},
    {"url": "https://medium.com/lightstephq/sampling-verbosity-and-the-case-for-much-broader-applications-of-distributed-tracing-f3500a174c17", "labels": []},
    {"url": "https://discourse.ubuntu.com/t/easy-multi-user-lxd-setup/26215", "labels": []},
    {"url": "https://github.com/ideasman42/nerd-dictation", "labels": []},
    {"url": "https://engineering.salesforce.com/5-design-patterns-for-building-observable-services-d56e7a330419", "labels": []},
    {"url": "https://grafana.com/blog/2022/01/12/configuring-grafana-tempo-and-linkerd-for-distributed-tracing", "labels": []},
    {"url": "https://blog.frankel.ch/comparison-fault-tolerance-libraries", "labels": []},
    {"url": "https://github.com/antonmedv/fx", "labels": []},
    {"url": "https://blog.ninja-squad.com/2022/01/06/generate-pdf-documents-in-java", "labels": []},
    {"url": "https://threedots.tech/post/microservices-test-architecture", "labels": []},
    {"url": "https://laredoute.io/blog/how-we-test-our-event-driven-microservices", "labels": []},
    {"url": "https://tailscale.com/blog/sisyphean-dns-client-linux", "labels": []},
    {"url": "https://blog.wesleyac.com/posts/consider-sqlite", "labels": []},
    {"url": "https://sre.google", "labels": []},
    {"url": "https://medium.com/digitalfrontiers/101-ways-to-containerize-your-spring-boot-application-183e1e2d3e1d", "labels": []},
    {"url": "https://richardstartin.github.io/posts/perf-myths-and-continuous-profiling", "labels": []},
    {"url": "https://biriukov.dev/docs/page-cache/0-linux-page-cache-for-sre", "labels": []},
    {"url": "https://github.com/readme/guides/roofshots-decision-making", "labels": []},
    {"url": "https://thinkbeforecoding.com/post/2021/12/17/functional-event-sourcing-decider", "labels": []},
    {"url": "https://ubuntu.com/tutorials/multipass-and-libvirt-vms-on-ubuntu-managed-via-landscape", "labels": []},
    {"url": "https://blog.jetbrains.com/blog/2021/12/03/dive-into-jetbrains-gateway", "labels": []},
    {"url": "https://iximiuz.com/en/posts/container-networking-is-simple", "labels": []},
    {"url": "https://sirupsen.com/napkin/problem-14-using-checksums-to-verify", "labels": []},
    {"url": "https://deeptimittalblogger.medium.com/kafka-streams-would-i-ever-use-it-again-a34ba39bd293", "labels": []},
    {"url": "https://www.honeycomb.io/blog/why-observability-requires-distributed-column-store", "labels": []},
    {"url": "https://snyk.io/blog/introduction-to-python-dependency-management", "labels": []},
    {"url": "https://www.simplethread.com/20-things-ive-learned-in-my-20-years-as-a-software-engineer", "labels": []},
    {"url": "https://blog.avanscoperta.it/2021/04/22/about-team-topologies-and-context-mapping", "labels": []},
    {"url": "http://melconway.com/Home/Committees_Paper.html", "labels": []},
    {"url": "https://developers.redhat.com/articles/2021/09/21/distributed-transaction-patterns-microservices-compared", "labels": []},
    {"url": "https://gist.github.com/thiloplanz/e1136a04b26c138c8225", "labels": []},
    {"url": "https://swellandcut.com/2021/09/09/becoming-an-organism", "labels": []},
    {"url": "https://blog.envoyproxy.io/introduction-to-modern-network-load-balancing-and-proxying-a57f6ff80236", "labels": []},
    {"url": "https://richyen.com/postgres/2021/09/03/less-is-more-max-connections.html", "labels": []},
    {"url": "https://zwischenzugs.com/2021/08/27/five-ansible-techniques-i-wish-id-known-earlier", "labels": []},
    {"url": "https://teamtopologies.com/industry-examples/evolving-teams-and-software-at-wealth-wizards-using-team-topologies", "labels": []},
    {"url": "https://tech.bedrockstreaming.com/2021/09/01/bonnes-pratiques-web.html", "labels": []},
    {"url": "https://snyk.io/learn/application-security/static-application-security-testing", "labels": []},
    {"url": "https://devopedia.org/grpc", "labels": []},
    {"url": "https://blog.malt.engineering/choosing-a-ci-that-grows-at-the-same-pace-as-a-scale-up-f4e1c0648084", "labels": []},
    {"url": "https://sirupsen.com/napkin/problem-15", "labels": []},
    {"url": "https://public.dalibo.com/exports/formation/manuels/formations", "labels": []},
    {"url": "https://jessitron.com/2021/08/02/better-coordination-or-better-software", "labels": []},
    {"url": "https://devblogs.microsoft.com/java/introducing-microsoft-gctoolkit", "labels": []},
    {"url": "https://www.lemagit.fr/actualites/252504905/Cloud-Gartner-tire-a-boulets-rouges-sur-AWS-Azure-et-GCP", "labels": []},
    {"url": "https://www.merikan.com/2019/04/jvm-in-a-container", "labels": []},
    {"url": "https://www.baeldung.com/linux/cpu-spike-bash", "labels": []},
    {"url": "https://www.tobysinclair.com/post/book-summary-team-topologies-organizing-business-and-technology-teams-for-fast-flow", "labels": []},
    {"url": "https://cutlefish.substack.com/p/tbm-3653-self-similarity-and-managerleader", "labels": []},
    {"url": "https://bonpote.com/les-meilleures-sources-sur-lenvironnement-et-le-climat-tous-niveaux-confondus", "labels": []},
    {"url": "https://www.tkng.io", "labels": []},
    {"url": "https://charity.wtf/2019/05/01/friday-deploy-freezes-are-exactly-like-murdering-puppies", "labels": []},
    {"url": "https://blog.jetbrains.com/pycharm/2021/07/webinar-simple-fast-frontends-with-htmx-with-carson-gross", "labels": []},
    {"url": "https://www.jooq.org/doc/latest/manual/sql-building/sql-statements/select-statement/implicit-join", "labels": []},
    {"url": "https://leevs.dev/kafka-cost-reduction", "labels": []},
    {"url": "https://www.cyberciti.biz/datacenter/linux-unix-bsd-osx-cannot-write-to-hard-disk", "labels": []},
    {"url": "https://blog.jooq.org/jooq-3-15s-new-multiset-operator-will-change-how-you-think-about-sql", "labels": []},
    {"url": "https://medium.com/swlh/decision-management-in-software-engineering-ca60f9d40e02", "labels": []},
    {"url": "https://dqlite.io/docs/explanation/architecture", "labels": []},
    {"url": "https://blogs.oracle.com/javamagazine/post/make-java-rest-development-easier-with-the-jareto-library", "labels": []},
    {"url": "https://incident.io/blog/dont-count-your-incidents-make-your-incidents-count", "labels": []},
    {"url": "https://github.com/jOOQ/jOOQ/tree/main/jOOQ-examples/jOOQ-testcontainers-example", "labels": []},
    {"url": "https://blog.jooq.org/quickly-trying-out-jooq-with-jbang", "labels": []},
    {"url": "https://kubebyexample.com", "labels": []},
    {"url": "https://vgallet.github.io/posts/kafka-features", "labels": []},
    {"url": "https://smallstep.com/blog/command-line-secrets", "labels": []},
    {"url": "https://strimzi.io/blog/2021/06/08/broker-tuning", "labels": []},
    {"url": "https://nickjanetakis.com/blog/best-practices-around-production-ready-web-apps-with-docker-compose", "labels": []},
    {"url": "https://www.abetterinternet.org/post/prio-services-for-covid-en", "labels": []},
    {"url": "https://blog.jooq.org/why-you-should-design-your-database-to-optimise-for-statistics", "labels": []},
    {"url": "https://corey.tech/aws-cost", "labels": []},
    {"url": "https://www.duckbillgroup.com/blog/aws-cost-allocation-guide-identifying-your-costs", "labels": []},
    {"url": "https://a16z.com/2021/05/27/cost-of-cloud-paradox-market-cap-cloud-lifecycle-scale-growth-repatriation-optimization", "labels": []},
    {"url": "https://github.com/se2p/pynguin", "labels": []},
    {"url": "https://www.brendangregg.com/blog/2021-05-23/what-is-observability.html", "labels": []},
    {"url": "https://www.confluent.io/blog/error-handling-patterns-in-kafka", "labels": []},
    {"url": "https://kstefanj.github.io/2021/05/19/large-pages-and-java.html", "labels": []},
    {"url": "https://www.brendangregg.com/blog/2021-05-09/poor-disk-performance.html", "labels": []},
    {"url": "https://www.eventstore.com/event-sourcing", "labels": []},
    {"url": "https://softwaremill.com/kafka-visualisation", "labels": []},
    {"url": "https://onesignal.com/blog/lessons-learned-from-5-years-of-scaling-postgresql", "labels": []},
    {"url": "https://opensource.builders", "labels": []},
    {"url": "https://www.intercom.com/blog/building-elasticsearch-at-intercom", "labels": []},
    {"url": "https://rbranson.medium.com/10-things-i-hate-about-postgresql-20dbab8c2791", "labels": []},
    {"url": "https://www.thoughtworks.com/radar/techniques/inverse-conway-maneuver", "labels": []},
    {"url": "https://maarten.mulders.it/2021/03/introduction-to-maven-toolchains", "labels": []},
    {"url": "https://blog.colinbreck.com/masking-the-problem-representing-complex-state-without-strings", "labels": []},
    {"url": "https://www.ufried.com/blog/limits_of_saga_pattern", "labels": []},
    {"url": "https://medium.com/opentelemetry/opentelemetry-specification-v1-0-0-tracing-edition-72dd08936978", "labels": []},
    {"url": "https://www.okayhq.com/blog/engineering-productivity-can-be-measured", "labels": []},
    {"url": "https://netflixtechblog.com/open-sourcing-the-netflix-domain-graph-service-framework-graphql-for-spring-boot-92b9dcecda18", "labels": []},
    {"url": "https://leaddev.com/technical-decision-making/accentuate-negative-making-non-perfect-decision", "labels": []},
    {"url": "https://iconduck.com", "labels": []},
    {"url": "https://skamille.medium.com/make-boring-plans-9438ce5cb053", "labels": []},
    {"url": "https://shekhargulati.com/2021/01/03/being-chief-technology-officer-lessons-learned-in-my-first-year", "labels": []},
    {"url": "https://jvns.ca/blog/2021/01/23/firecracker--start-a-vm-in-less-than-a-second", "labels": []},
    {"url": "https://jvns.ca/blog/2021/01/19/day-41--trying-to-understand-what-a-bridge-is", "labels": []},
    {"url": "https://www.eigenmagic.com/2022/11/29/scaling-mastodon-with-systemd-template-units", "labels": []},
    {"url": "https://www.amazingcto.com/postgres-for-everything", "labels": []},
    {"url": "https://biriukov.dev/docs/page-cache/7-how-much-memory-my-program-uses-or-the-tale-of-working-set-size", "labels": []},
    {"url": "https://info.honeycomb.io/observability-engineering-oreilly-book-2022", "labels": []},
    {"url": "https://thenewstack.io/modern-observability-is-a-single-braid-of-data", "labels": []},
    {"url": "https://charity.wtf/2022/08/15/live-your-best-life-with-structured-events", "labels": []},
    {"url": "https://stackoverflow.blog/2023/02/09/three-layers-to-secure-a-software-development-organization", "labels": []},
    {"url": "https://checkmk.com", "labels": []},
    {"url": "https://sensu.io", "labels": []},
    {"url": "https://medium.com/@tom-neal/cto-checklist-1a2ef3d6502", "labels": []},
    {"url": "https://leaddev.com/team/engineering-leaders-guide-tackling-change", "labels": []},
    {"url": "https://maciejwalkowiak.com/blog/testcontainers-spring-boot-setup", "labels": []},
    {"url": "https://architecturenotes.co/things-you-should-know-about-databases", "labels": []},
    {"url": "https://blog.wescale.fr/vector-une-solution-pour-lobservabilité", "labels": []},
    {"url": "https://fly.io/dist-sys", "labels": []},
    {"url": "https://architecturenotes.co/database-sharding-explained", "labels": []},
    {"url": "https://www.philipotoole.com/9-years-of-open-source-database-development-the-design-docs", "labels": []},
    {"url": "https://writeout.ai", "labels": []},
    {"url": "https://www.pyopensci.org/python-package-guide/package-structure-code/python-package-build-tools.html", "labels": []},
    {"url": "https://zanzibar.academy", "labels": []},
    {"url": "https://github.com/octodns/octodns", "labels": []},
    {"url": "https://initialcommit.com/blog/git-sim", "labels": []},
    {"url": "https://nip.io", "labels": []},
    {"url": "https://isthisit.nz/posts/2023/delivery-driven-development", "labels": []},
    {"url": "https://k33g.hashnode.dev/wasi-first-steps", "labels": []},
    {"url": "https://smee.io", "labels": []},
    {"url": "https://wiremock.org", "labels": []},
    {"url": "https://www.jbang.dev", "labels": []},
    {"url": "https://philbooth.me/blog/nine-ways-to-shoot-yourself-in-the-foot-with-postgresql", "labels": []},
    {"url": "https://www.eventstore.com/blog/whats-in-an-event-name", "labels": []},
    {"url": "https://code.likeagirl.io/technology-decision-making-and-boring-technology-e6cbe612450f", "labels": []},
    {"url": "https://medium.com/@fhussonnois/why-is-managing-kafka-topics-still-such-a-pain-introducing-jikkou-4ee9d5df948", "labels": []},
    {"url": "https://blog.serverlessadvocate.com/unlocking-serverless-superpowers-mastering-the-8-crucial-design-patterns-every-engineer-should-128fafb87113", "labels": []},
    {"url": "https://docs.zfsbootmenu.org", "labels": []},
    {"url": "https://jvns.ca/blog/2023/08/11/some-notes-on-mastodon", "labels": []},
    {"url": "https://jvns.ca/blog/2023/06/05/some-blogging-myths", "labels": []},
    {"url": "https://lukeshaughnessy.medium.com/infrastructure-as-code-is-not-the-answer-cfaf4882dcba", "labels": []},
    {"url": "https://twitter.com/maciejwalkowiak/status/1664295445009428480", "labels": []},
    {"url": "https://localstack.cloud", "labels": []},
    {"url": "https://iximiuz.com/en/posts/computer-networking-101", "labels": []},
    {"url": "https://realpython.com/docker-continuous-integration", "labels": []},
    {"url": "https://github.com/Permify/permify", "labels": []},
    {"url": "https://github.com/AmrDeveloper/GQL", "labels": []},
    {"url": "https://aws.amazon.com/blogs/aws/new-aws-public-ipv4-address-charge-public-ip-insights", "labels": []},
    {"url": "https://grahamhelton.com/blog/ssh-cheatsheet", "labels": []},
    {"url": "https://grafana.com/blog/2023/08/11/how-qonto-used-grafana-loki-to-build-its-network-observability-platform", "labels": []},
    {"url": "https://news.itsfoss.com/omnivore", "labels": []},
    {"url": "https://ido50.net/content/how-to-interview-software-developers", "labels": []},
    {"url": "https://meyerweb.com/eric/thoughts/2023/11/01/blinded-by-the-light-dom", "labels": []},
    {"url": "https://medium.com/slalom-build/how-to-write-documentation-that-people-will-actually-read-and-use-b26791fc1429", "labels": []},
    {"url": "https://vectorizer.ai", "labels": []},
    {"url": "https://ubuntu.com/blog/netplan-configuration-across-desktop-server-cloud-and-iot", "labels": []},
    {"url": "https://canonical.com/microcloud", "labels": []},
    {"url": "https://github.com/tldraw/tldraw", "labels": []},
    {"url": "https://github.com/xyflow/xyflow", "labels": []},
    {"url": "https://github.com/paradedb/paradedb", "labels": []},
    {"url": "https://github.com/xataio/pgroll", "labels": []},
    {"url": "https://github.com/structurizr/dsl", "labels": []},
    {"url": "https://github.com/bottlesdevs/Bottles", "labels": []},
    {"url": "https://github.com/loft-sh/devpod", "labels": []},
    {"url": "https://github.com/jobrunr/jobrunr", "labels": []},
    {"url": "https://github.com/redplanetlabs/twitter-scale-mastodon", "labels": []},
    {"url": "https://github.com/buger/goreplay", "labels": []},
    {"url": "https://github.com/navidrome/navidrome", "labels": []},
    {"url": "https://github.com/ntdevlabs/tiny11builder", "labels": []},
    {"url": "https://github.com/Rezmason/matrix", "labels": []},
    {"url": "https://jenniferplusplus.com/losing-the-imitation-game", "labels": []},
    {"url": "https://odigos.io", "labels": []},
    {"url": "https://oort.rs", "labels": []},
    {"url": "https://www.framer.com/motion", "labels": []},
    {"url": "https://unocss.dev", "labels": []},
    {"url": "https://sli.dev", "labels": []},
    {"url": "https://www.evolu.dev", "labels": []},
    {"url": "https://xpipe.io", "labels": []},
    {"url": "https://github.com/DimitriFourny/seedmage", "labels": []},
    {"url": "https://wiki.theory.org/BitTorrentSpecification", "labels": []},
    {"url": "https://www.researchgate.net/publication/258505256_BitTorrent_traffic_obfuscation_A_chase_towards_semantic_traffic_identification", "labels": []},
    {"url": "https://github.com/binkley/modern-java-practices", "labels": []},
    {"url": "https://github.com/jaxxstorm/pulumi-examples", "labels": []},
    {"url": "https://www.youtube.com/watch?v=Unzc731iCUY", "labels": []},
    {"url": "https://github.com/sigstore/cosign", "labels": []},
    {"url": "https://stackoverflow.blog/2021/12/23/best-practices-for-writing-code-comments", "labels": []},
    {"url": "https://designmodo.com/html-css-emails", "labels": []},
    {"url": "https://ladigitale.dev", "labels": []},
    {"url": "https://martinfowler.com/articles/measuring-developer-productivity-humans.html", "labels": []},
    {"url": "https://victoriametrics.com", "labels": []},
    {"url": "https://vercel.com/blog/how-google-handles-javascript-throughout-the-indexing-process", "labels": []},
)
